Subject: A Definition of BNF for use in GMPLS

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 5 Sep 2008 12:37:36 +0100

Hi,

During the IESG review of draft-ietf-pce-pcep-14.txt,
several ADs noted that the BNF used in the specification
did not have a normative reference.

The authors of PCEP had based their BNF usage on that
used in RSVP ([RFC2205], [RFC3209], and [RFC3473]) and it
turns out that these documents also don't have references
to any definition of BNF. 

On investigation, it appears that the form of BNF used in
these protocol specifications and in the definition of LMP
([RFC4204]) deviates slightly from any existing definition
of BNF (cf. ABNF [RFC5234]).

In order to rectify this and meet the IESG's requirements
for a reference in the PCEP spec, I have produced 
http://www.ietf.org/internet-drafts/draft-farrel-rtg-common-bnf-00.txt

It would be very helpful if the members of CCAMP could
quickly review this draft for consistency with RSVP-TE and
LMP as used in RFC 3473, RFC 4204, and the various protocol
extension RFCs.

Many thanks,
Adrian